<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Louvain Algorithm: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Louvain Algorithm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>add_edge()
: <a class="el" href="graph_8c.html#a060b402e39855ced428216b327b030a5">graph.c</a>
, <a class="el" href="graph_8h.html#a060b402e39855ced428216b327b030a5">graph.h</a>
</li>
<li>add_head()
: <a class="el" href="graph_8c.html#a5e16a2fa4e5144aa18b57a3a8dff4c2c">graph.c</a>
</li>
<li>add_node_to_community()
: <a class="el" href="community_8c.html#a681b759eb1056a6cccd60161b6a2749a">community.c</a>
, <a class="el" href="community_8h.html#a681b759eb1056a6cccd60161b6a2749a">community.h</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>calculate_weights()
: <a class="el" href="community_8c.html#a25861273f2bfea212875fc19b6227346">community.c</a>
</li>
<li>clean_graph()
: <a class="el" href="graph_8c.html#a151f5b250afc78268f7034af24a8f40f">graph.c</a>
, <a class="el" href="graph_8h.html#a151f5b250afc78268f7034af24a8f40f">graph.h</a>
</li>
<li>clean_set()
: <a class="el" href="community_8c.html#a8e3b186f3dcd7d9760f05ed6f1723753">community.c</a>
, <a class="el" href="community_8h.html#a8e3b186f3dcd7d9760f05ed6f1723753">community.h</a>
</li>
<li>clear()
: <a class="el" href="linkedlist_8c.html#aa95fbdd677c712cdafbfed0b4cd9c2f8">linkedlist.c</a>
, <a class="el" href="linkedlist_8h.html#aa95fbdd677c712cdafbfed0b4cd9c2f8">linkedlist.h</a>
</li>
<li>collapse()
: <a class="el" href="community_8c.html#a5be1f3cb5477970bdd9ebc04801f407b">community.c</a>
, <a class="el" href="community_8h.html#a5be1f3cb5477970bdd9ebc04801f407b">community.h</a>
</li>
<li>comm2graph()
: <a class="el" href="louvain_8c.html#a471b593acd03dd61f1afd3d2420bcb0f">louvain.c</a>
</li>
<li>create_community_set()
: <a class="el" href="community_8h.html#a78f31c0399e157c4829c634e9762b3fa">community.h</a>
, <a class="el" href="community_8c.html#a78f31c0399e157c4829c634e9762b3fa">community.c</a>
</li>
<li>create_graph()
: <a class="el" href="graph_8h.html#aa4a2c58cf35124509c40dea83129ac93">graph.h</a>
, <a class="el" href="graph_8c.html#aa4a2c58cf35124509c40dea83129ac93">graph.c</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>degree()
: <a class="el" href="graph_8c.html#a9d32135f75dc83ddf7f04ebedc915239">graph.c</a>
, <a class="el" href="graph_8h.html#a9d32135f75dc83ddf7f04ebedc915239">graph.h</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>find_community()
: <a class="el" href="community_8c.html#ad774ff0f64931b2a26dd56014014f6c0">community.c</a>
, <a class="el" href="community_8h.html#ad774ff0f64931b2a26dd56014014f6c0">community.h</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>louvain()
: <a class="el" href="louvain_8c.html#a40b9ad08a490c59031fcdbf34f4f01ae">louvain.c</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>main()
: <a class="el" href="louvain_8c.html#a0ddf1224851353fc92bfbff6f499fa97">louvain.c</a>
</li>
<li>modularity()
: <a class="el" href="community_8h.html#a97f471d6cfb2b90ba69089988d9e7efe">community.h</a>
, <a class="el" href="community_8c.html#a97f471d6cfb2b90ba69089988d9e7efe">community.c</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>neighboring_commuities()
: <a class="el" href="community_8c.html#a9296e83d2b1f1fb698fb550dc4eaf3b8">community.c</a>
, <a class="el" href="community_8h.html#a3c0f99f4ab68ac8f7fb0fdbf7953bc06">community.h</a>
</li>
<li>num_edges()
: <a class="el" href="graph_8h.html#a16b6212a05e5662ccfd37199d50c637a">graph.h</a>
, <a class="el" href="graph_8c.html#a16b6212a05e5662ccfd37199d50c637a">graph.c</a>
</li>
<li>num_vertices()
: <a class="el" href="graph_8h.html#aa06aa604e7ce71847f52d0225ecc43d0">graph.h</a>
, <a class="el" href="graph_8c.html#aa06aa604e7ce71847f52d0225ecc43d0">graph.c</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>pop()
: <a class="el" href="linkedlist_8c.html#a879c25aae9dec089ed2ad5816e62337a">linkedlist.c</a>
, <a class="el" href="linkedlist_8h.html#a879c25aae9dec089ed2ad5816e62337a">linkedlist.h</a>
</li>
<li>possible_new_links()
: <a class="el" href="community_8h.html#a055e81a3e6d9f9faf71343c2db4703a7">community.h</a>
, <a class="el" href="community_8c.html#a055e81a3e6d9f9faf71343c2db4703a7">community.c</a>
</li>
<li>print_communities()
: <a class="el" href="community_8c.html#a194dd56a0aa66d67628938e9b0bbff29">community.c</a>
, <a class="el" href="community_8h.html#a194dd56a0aa66d67628938e9b0bbff29">community.h</a>
</li>
<li>print_graph()
: <a class="el" href="graph_8c.html#aeb9fa7dddb67352ac4e1560d95b08024">graph.c</a>
, <a class="el" href="graph_8h.html#a1894d26ea89ef5de84d17c3c2befd70c">graph.h</a>
</li>
<li>push()
: <a class="el" href="linkedlist_8h.html#ad936801435fbad28647733af6d6948b0">linkedlist.h</a>
, <a class="el" href="linkedlist_8c.html#ad936801435fbad28647733af6d6948b0">linkedlist.c</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>read_input()
: <a class="el" href="louvain_8c.html#acceef7517ade9256524d1ff2c56c4838">louvain.c</a>
</li>
<li>remove_edge()
: <a class="el" href="graph_8c.html#a564fd8433c014fded5dfe9b0d5f9aa30">graph.c</a>
, <a class="el" href="graph_8h.html#a564fd8433c014fded5dfe9b0d5f9aa30">graph.h</a>
</li>
<li>remove_entry()
: <a class="el" href="graph_8c.html#a790a220324e80f89694c91b8d928d840">graph.c</a>
</li>
<li>remove_index()
: <a class="el" href="linkedlist_8c.html#a095a1d32142ee13de2210a325d25c0a5">linkedlist.c</a>
, <a class="el" href="linkedlist_8h.html#ac028743b107d5514d55a0c5eeefcce67">linkedlist.h</a>
</li>
<li>remove_node_from_community()
: <a class="el" href="community_8h.html#ad4e025b0ff4789827ae2aaf070c6393a">community.h</a>
, <a class="el" href="community_8c.html#ad4e025b0ff4789827ae2aaf070c6393a">community.c</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
